Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authentication
Interface GroupEditorMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, GroupReaderMBean, GroupRemoverMBean, ListerMBean, NameListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

    public interface GroupEditorMBean

extends GroupReaderMBean, GroupRemoverMBean

Provides a set of methods for creating, editing, and removing groups. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a tab for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`void` | `addMemberToGroup(String groupName, String memberUserOrGroupName)` Adds a user or group (member) to a group.
`void` | `createGroup(String groupName, String description)` Creates a group.
`void` | `removeMemberFromGroup(String groupName, String memberUserOrGroupName)` Removes a user or group (member) from a group.
`void` | `setGroupDescription(String groupName, String description)` Sets the description for an existing group.

Methods inherited from interface weblogic.management.security.authentication.GroupReaderMBean
`getGroupDescription, groupExists, isMember, listGroups`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.authentication.GroupRemoverMBean
`removeGroup`

Method Detail

### createGroup

    void createGroup(String groupName,
                     String description)
                     throws AlreadyExistsException,
                            InvalidParameterException

  Creates a group.

  Parameters:
    `groupName` - - The name of the new group. The name cannot be the name of an existing user or group. The Authentication provider determines syntax requirements for the group name.
    `description` - - The description of the group.
  Throws:
    `AlreadyExistsException`
    `InvalidParameterException`

### setGroupDescription

    void setGroupDescription(String groupName,
                             String description)
                             throws NotFoundException,
                                    InvalidParameterException

  Sets the description for an existing group.

  Parameters:
    `groupName` - - The name of an existing group.
    `description` - - The description of the group.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

### addMemberToGroup

    void addMemberToGroup(String groupName,
                          String memberUserOrGroupName)
                          throws NotFoundException,
                                 InvalidParameterException

  Adds a user or group (member) to a group. If the member already belongs to the group, this method does nothing.

  Parameters:
    `groupName` - - The name of an existing group to which this method adds a member.
    `memberUserOrGroupName` - - The name of the member, which must be an existing user or group.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

### removeMemberFromGroup

    void removeMemberFromGroup(String groupName,
                               String memberUserOrGroupName)
                               throws NotFoundException,
                                      InvalidParameterException

  Removes a user or group (member) from a group. If the member is not in the group, this method does nothing.

  Parameters:
    `groupName` - - The name of an existing group from which this method removes a member.
    `memberUserOrGroupName` - - The name of the member, which must be an existing user or group.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD